summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2014-01-23 21:21:23 +0100
committerMartin Väth <martin@mvath.de>2015-10-11 10:49:05 +0200
commite2ad49709859fd4b36d3dd24a6ef9bd951baf1ee (patch)
tree510f5b1aabc21ebbe5efd4b027bb8492f6bae639 /x11-themes
parentBump noscript (diff)
downloadmv-e2ad49709859fd4b36d3dd24a6ef9bd951baf1ee.tar.gz
mv-e2ad49709859fd4b36d3dd24a6ef9bd951baf1ee.tar.bz2
mv-e2ad49709859fd4b36d3dd24a6ef9bd951baf1ee.zip
Bump fvwm-crystal
Diffstat (limited to 'x11-themes')
-rw-r--r--x11-themes/fvwm-crystal/ChangeLog5
-rw-r--r--x11-themes/fvwm-crystal/Manifest2
-rw-r--r--x11-themes/fvwm-crystal/fvwm-crystal-3.3.0.ebuild (renamed from x11-themes/fvwm-crystal/fvwm-crystal-3.2.7.ebuild)48
3 files changed, 7 insertions, 48 deletions
diff --git a/x11-themes/fvwm-crystal/ChangeLog b/x11-themes/fvwm-crystal/ChangeLog
index 27d47fae..54c35f1c 100644
--- a/x11-themes/fvwm-crystal/ChangeLog
+++ b/x11-themes/fvwm-crystal/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*fvwm-crystal-3.3.0 (23 Jan 2014)
+
+ 23 Jan 2014; Martin Väth <martin@mvath.de>:
+ Version bump, remove old ebuild
+
*fvwm-crystal-3.2.7 (12 Oct 2013)
12 Oct 2013; Martin Väth <martin@mvath.de>:
diff --git a/x11-themes/fvwm-crystal/Manifest b/x11-themes/fvwm-crystal/Manifest
index 8e9cea5e..2c163989 100644
--- a/x11-themes/fvwm-crystal/Manifest
+++ b/x11-themes/fvwm-crystal/Manifest
@@ -1 +1 @@
-DIST fvwm-crystal-3.2.7.tar.gz 4461495 SHA256 fd3ef491a092af36060516907628744545486cb6f33bcdd738ffc9e2bb73b6e1 SHA512 4c5608d4b47df65cf8bcc4d17137dfaa006f1d332a9e33fec77e15ab7872449d94e2b9cac8e667cfd702032f6bada1327f0f14d113fd07fe0aa130ec6838f560 WHIRLPOOL ddb8f8bfbb2e9af2422db4591ab3aeeb6c1bc76de320ae1673c226bd2dd17787238fb37d47cf3901ab20e7ead05b98205895aadc6eca023398b69b6cbe2580c4
+DIST fvwm-crystal-3.3.0.tar.gz 4679680 SHA256 b7fad20964e78d9ed481fbc06efe467d6ecfaaef9de3b49cafe8191f114fb9bb SHA512 a1f417a224f3c45203fbb2844521437192a4e4fbfe9f90e871242266b336b427fc4cbd8dc9dc94c66e8da1f0d463f305379db753f85c101905b338e1245637ea WHIRLPOOL 8d694ff9b988dc0984339dfb7607c90caf1ed13e753457281039fd05958847bfe2049bfe6c9b36f76fe6c632ab5e6b482c8607829149ebccf471d26aaa7447ef
diff --git a/x11-themes/fvwm-crystal/fvwm-crystal-3.2.7.ebuild b/x11-themes/fvwm-crystal/fvwm-crystal-3.3.0.ebuild
index a0f1c477..0c27c2b1 100644
--- a/x11-themes/fvwm-crystal/fvwm-crystal-3.2.7.ebuild
+++ b/x11-themes/fvwm-crystal/fvwm-crystal-3.3.0.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-themes/fvwm-crystal/fvwm-crystal-3.2.3.ebuild,v 1.1 2013/06/23 10:00:55 hwoarang Exp $
+# $Header: $
EAPI="5"
RESTRICT=mirror
@@ -11,7 +11,6 @@ inherit eutils readme.gentoo python-r1
DESCRIPTION="Configurable and full featured FVWM theme, with lots of transparency and freedesktop compatible menu"
HOMEPAGE="http://fvwm-crystal.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
-#http://sourceforge.net/projects/fvwm-crystal/files/3.2.7/fvwm-crystal-3.2.7.tar.gz/download
LICENSE="GPL-2"
SLOT="0"
@@ -46,51 +45,6 @@ To know how to update your custom color themes, please run
${ROOT}usr/share/${PN}/addons/convert_colorsets"
src_prepare() {
- find "${S}" -type d -name Applications -prune \
- -o -type f -exec /bin/sh -c 'Echo() {
- printf '\''%s\n'\'' "${*}"
-}
-Sed() {
- text=${1:-bashisms}
- shift
- cp -p -- "${i}" "${i}.patched" && \
- sed "${@}" \
- -e '\''s/echo -e/echo/'\'' \
- -e '\''s/\[\[ /\[ /g'\'' \
- -e '\''s/ \]\]/ \]/g'\'' \
- -e '\''/\[ | \]/{s/==/=/g}'\'' \
- -e '\''s/source \([^a-z]\)/. \1/g'\'' \
- -- "${i}" >|"${i}.patched" && \
- if diff -q -- "${i}.patched" "${i}" >/dev/null 2>&1
- then rm -f -- "${i}.patched"
- else Echo "Fixing ${text} in ${i}"
- mv -- "${i}.patched" "${i}"
- fi && return
- Echo "Failed to patch ${i}" >&2
- exit 1
-}
-for i
-do case ${i} in
- *.html|*.py|*.png|*.gif|*.jpg|*/ChangeLog)
- continue;;
- */fvwm-crystal)
- Sed break -e '\''/break;/d'\''
- continue;;
- */DesktopActions)
- Sed arrays \
- -e '\''/Execs=/{s/[()]/'\''"'\''/g}" \
- -e '\''s/Execs\[\*\]/Execs/'\''
- continue;;
- */fvwm-crystal.videomodeswitch*)
- Sed shebang -e '\''s:^#!/bin/sh:#!/bin/bash:'\''
- continue;;
- esac
- head -n1 -- "${i}" | grep bash >/dev/null && continue
- if grep -q '\''echo \*'\'' -- "${i}" >/dev/null
- then Sed quoting -e '\''s/echo \*/echo \\*/g'\''
- else Sed ""
- fi
-done' sh '{}' '+' || die "patching failed"
epatch_user
}